Bug 1418697 - [RFE] Develop a tool for comparing multiple Preupgrade Assistant reports (preupg-diff)
Summary: [RFE] Develop a tool for comparing multiple Preupgrade Assistant reports (pre...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michal Bocek
QA Contact: Alois Mahdal
Jiri Hornicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 14:39 UTC by Michal Bocek
Modified: 2017-03-21 12:11 UTC (History)
5 users (show)

Fixed In Version: preupgrade-assistant-2.3.2-1.el6
Doc Type: Release Note
Doc Text:
A new *preupg-diff* tool improves the comparison of the Preupgrade Assistant assessment results Previously, manual comparison of the Preupgrade Assistant assessment results that contained a lot of records was laborious. This update introduces a new *preupg-diff* tool, which compares multiple Preupgrade Assistant XML reports. One of the reports is new with unidentified problems, and the others have already been analyzed. The tool helps to find issues that emerged in the new report by filtering out results that are the same in the new report and in at least one of the analyzed XML files. The output of the trimmed report is given in the XML and HTML format.
Clone Of:
Environment:
Last Closed: 2017-03-21 12:11:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0819 normal SHIPPED_LIVE preupgrade-assistant bug fix and enhancement update 2017-03-21 12:53:47 UTC

Description Michal Bocek 2017-02-02 14:39:34 UTC
Develop a new tool (named preupg-diff) that would compare multiple Preupgrade Assistant XML reports from which one would be "new" (not analyzed by anybody) with unknown issues and the others would be already analyzed.

The tool would help to find new issues that emerged in the new report by filtering out those results that are the same in the new report and at least in one of the analyzed XMLs. The trimmed report should be output in XML and HTML format.

Comment 2 Michal Bocek 2017-02-09 10:39:06 UTC
Prepared in upstream: https://github.com/upgrades-migrations/preupgrade-assistant/pull/216

Comment 4 Alois Mahdal 2017-03-18 14:40:51 UTC
preupgrade-assistant-2.3.3-2.el6: Ran some rudimentary tests manually with real modules, as well as few cases of automated modules.  All seems fine.

Comment 6 errata-xmlrpc 2017-03-21 12:11:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0819.html


Note You need to log in before you can comment on or make changes to this bug.